Subject: RE: Regarding select() on PPC

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 23 Sep 2008 14:55:41 +1000

On Tue, 2008-09-23 at 10:20 +0530, Sadashiiv, Halesh wrote:
> Hi,
> 
> The below testcase requires to exit with setting errno as EINVAL, as per
> the man page.
> 
> I tested this on ARM, I686, PPC64 it was fine, for the same on PPC32 it
> used exit with errno set as EFAULT.
> 
> On further investigation found there was some long obsolete code in
> arch/powerpc/kernel/syscalls.c (function ppc_select()), which was
> written in 2.2.0 kernel for PPC32 specific , which resulted in EFAULT.
> 
> This needs to be verified, I have proposed patch for PPC32, Please check
> the link
> http://article.gmane.org/gmane.linux.kernel/735922
> 

I'm trying to sort out how obsolete it actually is and see if we can
remove the whole thing.

Your patch should be submitted to the linuxppc-dev mailing list btw.

Ben.